<?php
/**
 * Open CRM hook implementations for OpenCRM Commerce.
 */

/**
 * Implements hook_opencrm_field_sync_fields().
 */
function opencrm_commerce_opencrm_field_sync_fields() {
  return array(
    'party_indiv_name' => array(
      'source' => 'party_indiv_name',
      'source entity_type' => 'profile2',
      'source bundle' => 'party_indiv',
      'bundles' => array(
        'commerce_customer_profile' => array_keys(commerce_customer_profile_types()),
      ),
    ),
    'commerce_customer_address' => array(
      'source' => 'party_indiv_address',
      'source entity_type' => 'profile2',
      'source bundle' => 'party_indiv',
    ),
  );
}

/**
 * Implements hook_opencrm_modal_pane_links().
 */
function opencrm_commerce_opencrm_modal_pane_links($context) {
  $links = array();

  if (drupal_match_path(current_path(), 'admin/booking/*')) {
    if (isset($context['pane']->type) && $context['pane']->type == 'entity_view') {
      if ($context['pane']->subtype == 'commerce_customer_profile') {
        $entity = $context['context'][$context['pane']->configuration['context']]->data;
        $links['edit'] = array(
          'url' => 'admin/booking/' . $context['args'][0] . '/nojs/' . $context['pane']->subtype . '/' . $entity->profile_id,
          'text' => t('Edit'),
          'alt' => t('Edit @title', array($context['pane']->title)),
        );
      }
    }
  }

  return $links;
}
