<?php
/**
 * @file
 * Contains the User Registration Attachment flexiform display class.
 */

/**
 * Allow forms to be attached to the user registration process.
 */
class OpencrmUserDisplayUserRegistration extends FlexiformDisplayPageBase {

  /**
   * {@inheritdoc}
   */
  public function hook_menu() {
    $items =  parent::hook_menu();

    foreach ($items as &$item) {
      $item['access callback'] = 'opencrm_user_flexiform_user_registration_access';
    }

    return $items;
  }

  /**
   * {@inheritdoc}
   */
  public function getBaseEntity($context = array()) {
    global $user;

    if ($user->uid) {
      return $user;
    }

    if (isset($_SESSION['opencrm_user_uid'])) {
      if ($account = user_load($_SESSION['opencrm_user_uid'])) {
        return $account;
      }
    }
  }

}
