<?php
/**
 * @file
 * Template for a three column email layout.
 *
 * This template provides a three column 25%-50%-25% panel display layout, with
 * additional areas for the top and the bottom.
 *
 * Variables:
 * - $content: An array of content, each item in the array is keyed to one
 *   panel of the layout. This layout supports the following sections:
 *   - $content['top']: Content in the top row.
 *   - $content['left']: Content in the left column.
 *   - $content['middle']: Content in the middle column.
 *   - $content['right']: Content in the right column.
 *   - $content['bottom']: Content in the bottom row.
 */

// Calculate our colspan.
$colspan = 1;
$colspan += $content['left'] ? 1 : 0;
$colspan += $content['right'] ? 1 : 0;
?>
<table width="100%" border="0" cellpadding="0" cellspacing="0" style="border:none;width:100%">
  <tbody>
    <?php if ($content['top']): ?>
    <tr>
      <td colspan="<?php print $colspan; ?>" style="padding:0 0 1em 0;"><?php print $content['top']; ?></td>
    </tr>
    <?php endif ?>
    <tr>
      <?php if ($content['left']) : ?><td valign="top" width="25%" style="padding:0 0.5em 0 0;vertical-align:top;"><?php print $content['left']; ?></td><?php endif; ?>
      <td valign="top" style="padding:0 <?php print $content['right'] ? '0.5em': '0'; ?> 0 <?php print $content['left'] ? '0.5em': '0'; ?>;vertical-align:top;"><?php print $content['middle']; ?></td>
      <?php if ($content['right']) : ?><td valign="top" width="25%" style="padding:0 0 0 0.5em;vertical-align:top;"><?php print $content['right']; ?></td><?php endif; ?>
    </tr>
    <?php if ($content['bottom']): ?>
    <tr>
      <td colspan="<?php print $colspan; ?>" style="padding:1em 0 0 0;"><?php print $content['bottom']; ?></td>
    </tr>
    <?php endif ?>
  </tbody>
</table>
