<?php
/**
 * @file
 * Template for a three column email layout.
 *
 * This template provides a three column panel display layout, with
 * each column roughly equal in width.
 *
 * Variables:
 * - $content: An array of content, each item in the array is keyed to one
 *   panel of the layout. This layout supports the following sections:
 *   - $content['left']: Content in the left column.
 *   - $content['middle']: Content in the middle column.
 *   - $content['right']: Content in the right column.
 */
?>
<table width="100%" border="0" cellpadding="0" cellspacing="0" style="border:none;width:100%">
  <tbody>
    <tr>
      <?php if ($content['left']) : ?><td valign="top" width="33%" style="padding:0 0.5em 0 0;vertical-align:top;"><?php print $content['left']; ?></td><?php endif; ?>
      <td valign="top" style="padding:0 <?php print $content['right'] ? '0.5em': '0'; ?> 0 <?php print $content['left'] ? '0.5em': '0'; ?>;vertical-align:top;"><?php print $content['middle']; ?></td>
      <?php if ($content['right']) : ?><td valign="top" width="33%" style="padding:0 0 0 0.5em;vertical-align:top;"><?php print $content['right']; ?></td><?php endif; ?>
    </tr>
  </tbody>
</table>
