<?php
/**
 * @file
 * Template for a two column email layout.
 *
 * This template provides a two column email display layout, with
 * each column roughly equal in width. It is 5 rows high; the top
 * middle and bottom rows contain 1 column, while the second
 * and fourth rows contain 2 columns.
 *
 * Variables:
 * - $content: An array of content, each item in the array is keyed to one
 *   panel of the layout. This layout supports the following sections:
 *   - $content['top']: Content in the top row.
 *   - $content['left_above']: Content in the left column in row 2.
 *   - $content['right_above']: Content in the right column in row 2.
 *   - $content['middle']: Content in the middle row.
 *   - $content['left_below']: Content in the left column in row 4.
 *   - $content['right_below']: Content in the right column in row 4.
 *   - $content['right']: Content in the right column.
 *   - $content['bottom']: Content in the bottom row.
 */
?>
<table width="100%" border="0" cellpadding="0" cellspacing="0" style="border:none;width:100%">
  <tbody>
    <?php if ($content['top']): ?>
    <tr>
      <td colspan="2" style="padding:0 0 1em 0;"><?php print $content['top']; ?></td>
    </tr>
    <?php endif ?>
    <?php if ($content['left_above'] || $content['right_above']): ?>
    <tr>
      <td valign="top" style="padding:0 0.5em 0 0;vertical-align:top;"><?php print $content['left_above']; ?></td>
      <td valign="top" style="padding:0 0 0 0.5em;vertical-align:top;"><?php print $content['right_above']; ?></td>
    </tr>
    <?php endif ?>
    <?php if ($content['middle'] || $content['left_above'] || $content['right_above']): ?>
    <tr>
      <td colspan="2" style="padding:<?php print ($content['left_above'] || $content['right_above']) ? '1em': '0'; ?> 0 <?php print ($content['middle'] && ($content['left_below'] || $content['right_below'])) ? '1em': '0'; ?> 0;"><?php print $content['middle']; ?></td>
    </tr>
    <?php endif ?>
    <?php if ($content['left_below'] || $content['right_below']): ?>
    <tr>
      <td valign="top" style="padding:0 0.5em 0 0;vertical-align:top;"><?php print $content['left_below']; ?></td>
      <td valign="top" style="padding:0 0 0 0.5em;vertical-align:top;"><?php print $content['right_below']; ?></td>
    </tr>
    <?php endif ?>
    <?php if ($content['bottom']): ?>
    <tr>
      <td colspan="2" style="padding:<?php print ($content['left_below'] || $content['right_below']) ? '1em': '0'; ?> 0 0 0;"><?php print $content['bottom']; ?></td>
    </tr>
    <?php endif ?>
  </tbody>
</table>
