<?php
/**
 * @file
 * Template for a 2 column panel layout.
 *
 * This template provides a two column panel display layout, with
 * additional areas for the top and the bottom.
 *
 * Variables:
 * - $id: An optional CSS id to use for the layout.
 * - $content: An array of content, each item in the array is keyed to one
 *   panel of the layout. This layout supports the following sections:
 *   - $content['top']: Content in the top row.
 *   - $content['left']: Content in the left column.
 *   - $content['right']: Content in the right column.
 *   - $content['bottom']: Content in the bottom row.
 */
?>
<table width="100%" border="0" cellpadding="0" cellspacing="0" style="border:none;width:100%">
  <tbody>
    <?php if ($content['top']): ?>
    <tr>
      <td colspan="2" style="padding:0 0 1em 0;"><?php print $content['top']; ?></td>
    </tr>
    <?php endif ?>
    <tr>
      <td valign="top" width="50%" style="padding:0 0.5em 0 0;vertical-align:top;"><?php print $content['left']; ?></td>
      <td valign="top" width="50%" style="padding:0 0 0 0.5em;vertical-align:top;"><?php print $content['right']; ?></td>
    </tr>
    <?php if ($content['bottom']): ?>
    <tr>
      <td colspan="2" style="padding:1em 0 0 0;"><?php print $content['bottom']; ?></td>
    </tr>
    <?php endif ?>
  </tbody>
</table>
